load colormapBW;
close all;
hold off;

IMSIZE = 30;
global DAT;
global PREV;
global framenum;
global IMAGE;
framenum = 0;
PREV = zeros(1,24);
IMAGE = zeros(1,25);
DAT = zeros(IMSIZE+1,6);
ENd = IMSIZE + 1;
ind = 1;
UART_SPEC = struct(...
    'BaudRate', 57600,...
    'Parity', 'none',...
    'DataBits', 8, ...
    'StopBits', 1, ...
    'FlowControl', 'none',...
    'InputBufferSize', 512);

global camfeed;
camfeed = serial('COM4', UART_SPEC);

try
    fopen(camfeed);
    while(1)
        %Fetch new line from serial port
        D = fgetl(camfeed);
        d = length(D);
        if (D(1) == 'N')
            %End of frame detected
            framenum = framenum+ 1;
            rotval = char2bin(D(2:end),6);
            IMAGE = rotval(1:25)
            computeANGLE(IMAGE);
            ind = 1;
        else
        end
    end
catch err
    fclose(camfeed);
    delete(camfeed);
    clear camfeed;
    rethrow(err);
end

fclose(camfeed);
delete(camfeed);
clear camfeed;